Skip to main content
GET
/
api
/
v1
/
public
/
templates
List OS templates
curl --request GET \
  --url https://api.raffcomputing.com/api/v1/public/templates
{
  "success": true,
  "data": [
    {
      "id": "5ac21891-32e6-41ce-8a93-b5d6ab708b0d",
      "name": "Ubuntu",
      "version": "24.10x64",
      "cpu": 1,
      "ram": 1,
      "storage": 25,
      "is_windows": false,
      "os_type": "linux",
      "category": "os",
      "description": "",
      "region": "us-east"
    }
  ],
  "total": 12
}

Query Parameters

category
enum<string>

Filter by template category

Available options:
os,
marketplace
vm_type
enum<string>

Filter by VM type. When standard, Windows templates are excluded.

Available options:
standard,
premium
region
enum<string>

Filter by region

Available options:
us-east

Response

List of templates

success
boolean
Example:

true

data
object[]
total
integer

Total number of templates returned

Example:

12